DisconnectProvider

DELETE/auth/v1/providers/{provider}

Path Parameters

provider*provider

The provider path parameter.

Value in

  • "EXTERNAL_ACCOUNT_PROVIDER_UNSPECIFIED"
  • "EXTERNAL_ACCOUNT_PROVIDER_GOOGLE"
  • "EXTERNAL_ACCOUNT_PROVIDER_APPLE"
  • "EXTERNAL_ACCOUNT_PROVIDER_MICROSOFT"
  • "EXTERNAL_ACCOUNT_PROVIDER_FACEBOOK"
  • "EXTERNAL_ACCOUNT_PROVIDER_TELEGRAM"

Query Parameters

user.user_id?user_id

The user.user_id query parameter.

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/google.protobuf.Empty",
  "$ref-value": {
    "type": "object",
    "description": "An empty JSON object."
  }
}
curl -X DELETE "https://api.rixl.com/auth/v1/providers/EXTERNAL_ACCOUNT_PROVIDER_UNSPECIFIED"

Success

application/json

{
  "$ref": "#/components/schemas/google.protobuf.Empty",
  "$ref-value": {
    "type": "object",
    "description": "An empty JSON object."
  }
}